Index: branches/2.0/expressoMail1_2/js/draw_api.js
===================================================================
--- branches/2.0/expressoMail1_2/js/draw_api.js	(revision 2606)
+++ branches/2.0/expressoMail1_2/js/draw_api.js	(revision 2675)
@@ -2227,41 +2227,67 @@
 	td_return_receipt.setAttribute("noWrap","true");
 	td_return_receipt.innerHTML = get_lang("Return receipt")+":";
-	var input_return_receipt = document.createElement('input');
+	if (is_ie)
+	{
+		var input_return_receipt = document.createElement('input name=input_return_receipt');
+	}
+	else
+	{
+		var input_return_receipt = document.createElement('input');
+		input_return_receipt.name = "input_return_receipt";
+	}
+
 	input_return_receipt.type = "checkbox";
 	input_return_receipt.className = "checkbox";
-	input_return_receipt.id = "return_receipt_"+ID;
-	input_return_receipt.name = "input_return_receipt";
+	input_return_receipt.id = "return_receipt_"+ID;        
 	input_return_receipt.setAttribute("tabIndex","-1");
 	td_return_receipt.appendChild(input_return_receipt);
 
-
-//alert("preferences.use_assinar_criptografar " + preferences.use_assinar_criptografar);
-//alert("preferences.use_signature_digital_cripto " + preferences.use_signature_digital_cripto);
-//alert("preferences.use_signature_digital " + preferences.use_signature_digital);
-//alert("preferences.use_signature_cripto " + preferences.use_signature_cripto);
-
-    if(preferences.use_assinar_criptografar==1)
+    // Workaround para resolver problema ao enviar e-mails
+    if((preferences.use_assinar_criptografar != '0'))
 	{
-		if(preferences.use_signature_digital_cripto==1)
+		if(parseInt(preferences.use_signature_digital_cripto)==1)
 		{
 			td_return_receipt.innerHTML +=  "&nbsp;&nbsp;" + get_lang("Digitally sign message?")+"";
-			var input_return_digital = document.createElement('input');
+			if (is_ie)
+			{
+				var input_return_digital = document.createElement('input name=input_return_digital');
+			}
+			else
+			{
+				var input_return_digital = document.createElement('input');
+				input_return_digital.name = "input_return_digital";
+			}
 			input_return_digital.type = "checkbox";
 			input_return_digital.className = "checkbox";
 			input_return_digital.id = "return_digital_"+ID;
-			input_return_digital.name = "input_return_digital";
 			input_return_digital.setAttribute("tabIndex","-1");
-			if(preferences.use_signature_digital==1)
+			if(parseInt(preferences.use_signature_digital)==1)
 			{
-				input_return_digital.defaultChecked=true;
+				if (is_ie)
+				{
+					input_return_digital.checked=true;
+				}
+				else
+				{
+					input_return_digital.defaultChecked=true;
+				}
 			}
 			td_return_receipt.appendChild(input_return_digital);
                         //descomentariar a linha abaixo para criptografia
 			td_return_receipt.innerHTML +=  "&nbsp;&nbsp;" + get_lang("Digitally crypt message?")+"";
-			var input_return_cripto = document.createElement('input');
+
+			if (is_ie)
+			{
+				var input_return_cripto = document.createElement('input name=input_return_cripto');
+			}
+			else
+			{
+				var input_return_cripto = document.createElement('input');
+				input_return_cripto.name = "input_return_cripto";
+			}
+
 			input_return_cripto.type = "checkbox";
 			input_return_cripto.className = "checkbox";
 			input_return_cripto.id = "return_cripto_"+ID;
-			input_return_cripto.name = "input_return_cripto";
 			input_return_cripto.setAttribute("tabIndex","-1");
 			//input_return_cripto.style.display = "none";
@@ -2269,14 +2295,20 @@
 			//Descomentariar o bloco abaixo para criptografia
 
-			if(preferences.use_signature_cripto==1)
+			if(parseInt(preferences.use_signature_cripto)==1)
 			{
-				input_return_cripto.defaultChecked=true;
+				if (is_ie)
+				{
+					input_return_cripto.checked=true;
+				}
+				else
+				{
+					input_return_cripto.defaultChecked=true;
+				}
 			}
 
 			td_return_receipt.appendChild(input_return_cripto);
-
-		}
-	}
-
+		}
+	}
+    td_return_receipt.innerHTML += "";
 	tr5.appendChild(td5);
 	tr5.appendChild(td_return_receipt);