Index: /trunk/news_admin/inc/class.uiacl.inc.php
===================================================================
--- /trunk/news_admin/inc/class.uiacl.inc.php	(revision 2478)
+++ /trunk/news_admin/inc/class.uiacl.inc.php	(revision 2698)
@@ -68,4 +68,5 @@
 				'lang_save' => lang('Save'),
 				'lang_done' => lang('Done'),
+				'done_button' => $GLOBALS[ 'phpgw' ] -> link( '/admin/' ),
 				'lang_read' => lang('Read permissions'),
 				'lang_write' => lang('Write permissions'),
Index: /trunk/news_admin/inc/class.uiexport.inc.php
===================================================================
--- /trunk/news_admin/inc/class.uiexport.inc.php	(revision 49)
+++ /trunk/news_admin/inc/class.uiexport.inc.php	(revision 2698)
@@ -59,6 +59,6 @@
 			}
 
-			$GLOBALS['phpgw']->common->phpgw_header();
-			echo parse_navbar();
+			//$GLOBALS['phpgw']->common->phpgw_header();
+			//echo parse_navbar();
 
 			if ($_POST['btnSave'])
@@ -78,4 +78,5 @@
 				'lang_save' => lang('Save'),
 				'lang_done' => lang('Done'),
+				'done_button' => $GLOBALS[ 'phpgw' ] -> link( '/admin/' ),
 				'lang_search' => lang('Search'),
 				'lang_configuration' => lang('Configuration'),
Index: /trunk/news_admin/templates/default/export.tpl
===================================================================
--- /trunk/news_admin/templates/default/export.tpl	(revision 1257)
+++ /trunk/news_admin/templates/default/export.tpl	(revision 2698)
@@ -53,5 +53,5 @@
     <td colspan="3" align="center">
      <input type="submit" name="btnSave" value="{lang_save}"> &nbsp;
-     <input type="submit" name="btnDone" value="{lang_done}">
+     <input type="submit" name="btnDone" value="{lang_done}" onclick="XLink( '{done_button}' )" />
     </td>
    </tr>
Index: /trunk/news_admin/templates/default/acl.tpl
===================================================================
--- /trunk/news_admin/templates/default/acl.tpl	(revision 1410)
+++ /trunk/news_admin/templates/default/acl.tpl	(revision 2698)
@@ -42,5 +42,5 @@
     <td colspan="3" align="center">
      <input type="submit" name="btnSave" value="{lang_save}"> &nbsp;
-     <input type="submit" name="btnDone" value="{lang_done}">
+     <input type="submit" name="btnDone" value="{lang_done}" onclick="XLink( '{done_button}' )" />
     </td>
    </tr>
Index: /trunk/filemanager/templates/default/config.tpl
===================================================================
--- /trunk/filemanager/templates/default/config.tpl	(revision 2000)
+++ /trunk/filemanager/templates/default/config.tpl	(revision 2698)
@@ -36,5 +36,5 @@
     <td colspan="2" align="center">
       <input type="submit" name="submit" value="{lang_submit}">
-      <input type="submit" name="cancel" value="{lang_cancel}">
+      <input type="button" name="cancel" value="{lang_cancel}" onclick="XLink( '{cancel_button}' )" />
     </td>
   </tr>
Index: /trunk/expressoAdmin1_2/templates/default/config.tpl
===================================================================
--- /trunk/expressoAdmin1_2/templates/default/config.tpl	(revision 1867)
+++ /trunk/expressoAdmin1_2/templates/default/config.tpl	(revision 2698)
@@ -203,5 +203,5 @@
 		<td colspan="2" align="center">
 			<input type="submit" name="submit" value="{lang_submit}">
-			<input type="submit" name="cancel" value="{lang_cancel}">
+			<input type="button" name="cancel" value="{lang_cancel}" onclick="XLink( '{cancel_button}' )">
 		</td>
 	</tr>
Index: /trunk/admin/inc/class.uivoip.inc.php
===================================================================
--- /trunk/admin/inc/class.uivoip.inc.php	(revision 2419)
+++ /trunk/admin/inc/class.uivoip.inc.php	(revision 2698)
@@ -93,4 +93,5 @@
 										'lang_save' => lang('Save'),
 										'lang_cancel' => lang('Cancel'),
+										'cancel_button' => $GLOBALS[ 'phpgw' ] -> link( '/admin/index.php' ),
 										'value_voip_email_redirect' => ($GLOBALS['phpgw_info']['server']['voip_email_redirect']) ? $GLOBALS['phpgw_info']['server']['voip_email_redirect'] : '',
 										'value_voip_server' => ($GLOBALS['phpgw_info']['server']['voip_server']) ? $GLOBALS['phpgw_info']['server']['voip_server'] : '',
Index: /trunk/admin/inc/class.uimainscreen.inc.php
===================================================================
--- /trunk/admin/inc/class.uimainscreen.inc.php	(revision 2419)
+++ /trunk/admin/inc/class.uimainscreen.inc.php	(revision 2698)
@@ -137,5 +137,5 @@
 				$GLOBALS['phpgw']->template->set_var('tr_color',$tr_color);
 				$GLOBALS['phpgw']->template->set_var('value','<input type="submit" value="' . lang('Edit')
-					. '"><input type="submit" name="cancel" value="'. lang('cancel') .'">');
+					. '"><input type="button" name="cancel" value="'. lang('cancel') .'" onclick="XLink( \'' . $GLOBALS[ 'phpgw' ] -> link( '/admin/index.php' ) . '\' )">');
 				$GLOBALS['phpgw']->template->fp('rows','row_2',True);
 			}
Index: /trunk/admin/templates/default/voip.tpl
===================================================================
--- /trunk/admin/templates/default/voip.tpl	(revision 572)
+++ /trunk/admin/templates/default/voip.tpl	(revision 2698)
@@ -62,5 +62,5 @@
 		<td colspan="2" align="center">
 		  <input type="submit" name="save" value="{lang_save}" onclick="javascript:voip.select_();">
-		  <input type="submit" name="cancel" value="{lang_cancel}">
+		  <input type="button" name="cancel" value="{lang_cancel}" onclick="XLink( '{cancel_button}' )">
 		  <br>
 		</td>
Index: /trunk/admin/templates/default/config.tpl
===================================================================
--- /trunk/admin/templates/default/config.tpl	(revision 2686)
+++ /trunk/admin/templates/default/config.tpl	(revision 2698)
@@ -236,5 +236,5 @@
     <td colspan="2" align="center">
       <input type="submit" name="submit" value="{lang_submit}">
-      <input type="button" name="cancel" value="{lang_cancel}" onclick="XLink( '{cancel_button}' )">
+      <input type="button" name="cancel" value="{lang_cancel}" onclick="XLink( '{cancel_button}' )" />
 		  <br>
     </td>
Index: /trunk/contactcenter/templates/classic/config.tpl
===================================================================
--- /trunk/contactcenter/templates/classic/config.tpl	(revision 285)
+++ /trunk/contactcenter/templates/classic/config.tpl	(revision 2698)
@@ -112,5 +112,5 @@
 		<td colspan="2" align="center">
 			<input type="submit" name="submit" value="{lang_submit}">
-			<input type="submit" name="cancel" value="{lang_cancel}">
+			<input type="button" name="cancel" value="{lang_cancel}" onclick="XLink( '{cancel_button}' )" />
 		</td>
 	</tr>
Index: /trunk/contactcenter/templates/default/config.tpl
===================================================================
--- /trunk/contactcenter/templates/default/config.tpl	(revision 1598)
+++ /trunk/contactcenter/templates/default/config.tpl	(revision 2698)
@@ -145,5 +145,5 @@
 		<td colspan="2" align="center">
 			<input type="submit" name="submit" value="{lang_submit}">
-			<input type="submit" name="cancel" value="{lang_cancel}">
+			<input type="button" name="cancel" value="{lang_cancel}" onclick="XLink( '{cancel_button}' )" />
 		</td>
 	</tr>
Index: /trunk/calendar/inc/class.uicustom_fields.inc.php
===================================================================
--- /trunk/calendar/inc/class.uicustom_fields.inc.php	(revision 2419)
+++ /trunk/calendar/inc/class.uicustom_fields.inc.php	(revision 2698)
@@ -82,5 +82,5 @@
 				'action_url'   => $GLOBALS['phpgw']->link('/index.php','menuaction=calendar.uicustom_fields.submited'),
 				'save_button'  => $this->html->submit_button('save','Save'),
-				'cancel_button'=> $this->html->submit_button('cancel','Cancel'),
+				'cancel_button'=> '<input type="button" value="' . lang( 'Cancel' ) . '" onclick="XLink( \'' . $GLOBALS[ 'phpgw' ] -> link( '/admin/' ) . '\' )" />'
 			));
 
Index: /trunk/calendar/csv_import.php
===================================================================
--- /trunk/calendar/csv_import.php	(revision 204)
+++ /trunk/calendar/csv_import.php	(revision 2698)
@@ -40,5 +40,5 @@
 	}
 	$GLOBALS['phpgw_info']['flags']['app_header'] = $GLOBALS['phpgw_info']['apps']['calendar']['title'].' - '.lang('Import CSV-File');
-	$GLOBALS['phpgw']->common->phpgw_header();
+	//$GLOBALS['phpgw']->common->phpgw_header();
 
 	$GLOBALS['phpgw']->template->set_file(array('import_t' => 'csv_import.tpl'));
Index: /trunk/calendar/templates/classic/config.tpl
===================================================================
--- /trunk/calendar/templates/classic/config.tpl	(revision 1124)
+++ /trunk/calendar/templates/classic/config.tpl	(revision 2698)
@@ -100,5 +100,5 @@
     <td colspan="2" align="center">
       <input type="submit" name="submit" value="{lang_submit}">
-      <input type="submit" name="cancel" value="{lang_cancel}">
+      <input type="button" name="cancel" value="{lang_cancel}" onclick="XLink( '{cancel_button}' )" />
      </td>
   </tr>
Index: /trunk/calendar/templates/default/config.tpl
===================================================================
--- /trunk/calendar/templates/default/config.tpl	(revision 1154)
+++ /trunk/calendar/templates/default/config.tpl	(revision 2698)
@@ -100,5 +100,5 @@
     <td colspan="2" align="center">
       <input type="submit" name="submit" value="{lang_submit}">
-      <input type="submit" name="cancel" value="{lang_cancel}">
+      <input type="button" name="cancel" value="{lang_cancel}" onclick="XLink( '{cancel_button}' )" />
      </td>
   </tr>
Index: /trunk/expressoMail1_2/templates/classic/config.tpl
===================================================================
--- /trunk/expressoMail1_2/templates/classic/config.tpl	(revision 2388)
+++ /trunk/expressoMail1_2/templates/classic/config.tpl	(revision 2698)
@@ -106,5 +106,5 @@
     <td colspan="2" align="center">
       <input type="submit" name="submit" value="{lang_submit}">
-      <input type="submit" name="cancel" value="{lang_cancel}">
+      <input type="button" name="cancel" value="{lang_cancel}" onclick="XLink( '{cancel_button}' )" />
     </td>
   </tr>
Index: /trunk/expressoMail1_2/templates/default/config.tpl
===================================================================
--- /trunk/expressoMail1_2/templates/default/config.tpl	(revision 2388)
+++ /trunk/expressoMail1_2/templates/default/config.tpl	(revision 2698)
@@ -100,5 +100,5 @@
     <td colspan="2" align="center">
       <input type="submit" name="submit" value="{lang_submit}">
-      <input type="submit" name="cancel" value="{lang_cancel}">
+      <input type="button" name="cancel" value="{lang_cancel}" onclick="XLink( '{cancel_button}' )" />
     </td>
   </tr>